org.eclipse.emf.compare.ide.utils

## Interface IStoragePathAdapterProvider

All Known Implementing Classes:
  StreamAccessorStorage

    public interface IStoragePathAdapterProvider

This class is a wrapper used to create different kind of StoragePathAdapter depending on the needs.

Since:
  3.3

### Method Summary

All Methods Instance Methods Abstract Methods
`Adapter` `createStoragePathAdapter(String fullPath, boolean isLocal)` This method is used to create a new StoragePathAdapter.

### Method Detail

#### createStoragePathAdapter

    Adapter createStoragePathAdapter(String fullPath,
                                     boolean isLocal)

This method is used to create a new StoragePathAdapter.

Parameters:
  `fullPath` - The path to use.
  `isLocal` - Whether this storage is local.
Returns:
  the new adapter